# 1. Suscripción: obtener eventos

Seguir suscripciones cuando `INSERTAR`/`MODIFICAR`/`ELIMINAR` acciones ocurren con "Farm", "Field", "FieldSatelliteImage", "RasterAnalysisMap", "VectorAnalysisMap", otras entidades.

El mecanismo de suscripción se basa en MQTT y WebSocket. Nuestra recomendación es comenzar la integración leyendo el [artículo de suscripción de AWS AppSync](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Los eventos de suscripción se envían tan pronto como el evento ocurre en el backend de GeoPard.
{% endhint %}

{% hint style="info" %}
Cada evento de suscripción tiene una identificación única llamada `uuid`, que es útil para filtrar eventos procesados y perdidos solicitados desde [82. Consulta: Restaurar eventos de suscripción](/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/82.-mutacion-restaurar-eventos-de-suscripcion.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/1.-suscripcion-obtener-eventos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
